Subject: Re: [MBONED] Review and comment on draft-ietf-mboned-ieee802-mcast-problems

From: Charlie Perkins <[email-masked]>
Date: Mon, 8 Jul 2019 09:09:17 -0700

Hello Bill,

Thanks much for the careful review!  I think I have made all of the 
editorial corrections you suggested.  I checked for all occurrences of 
"amount" and "which", and I followed your guidelines to revise as 
needed.  I also tried to use appropriate language about the meetings 
while still retaining mention of IETF as the meeting organization where 
that made sense.

I also followed your suggestion to include DRIAD as a third option.  The 
working group had previously discussed including DRIAD and there was 
support for doing that.  So, I don't think this will be very controversial.

Regards,
Charlie P.

On 6/12/2019 8:43 PM, William Atwood wrote:
> This is a very useful document and I support its adoption.
>
> I have the following nits:
>
> Section 1, para 1, line 9.  "wifi" -> "Wi-Fi"  (A check needs to be made
> to expunge all incorrect presentations of "Wi-Fi" from the entire document.)
>
> Section 3.1.2, para 1, line 3.  "which" -> "that"  (See end of review
> for the reason.)
>
> Section 3.2.4, para 4, line 4.  "amount" -> "number"  (If you can count
> it on the integers, use "number"; if you can measure it using real
> numbers, use "amount".)
>
> Section 4.5.3, para 1, line 2.  If "STA" is pronounced "es-tee-ay", then
> "a STA" needs to be written as "an STA".  (The form of the article is
> dependent on the initial _sound_, not the initial _letter_.)
>
> Section 4.5.4, para 1, line 3.  "a STA" -> "an STA"
>
> Para 2.  I suggest that this text be revised to include a third option:
> DRIAD (See draft-ietf-mboned-driad-amt-discovery.)  It would be a shame
> to do a Last Call on both DRIAD and this document at the same time and
> not coordinate them!!!)
>
> I further suggest that the order of presentation of the three options be
> the same as the order of preference for AMT relay lookup, as defined in
> the DRIAD document, i.e.:
> 1.	DNS-SD
> 2.	The well-known IP addresses from Section 7 of [RFC7450]
> 3.	DRIAD
>
> Section 4.6, para 4, bullet 4.  "which" -> "that"
>
> Section 5.1, topic "ARP sponges", para 1, line 14.  It is not clear who
> "We" is, in "We have to run".  This text needs to be re-written to get
> rid of the first-person presentation.
>
> Topic "Router mitigations", line 4.  "which" -> "that"  Also, "we" is
> undefined here, so the text needs to be re-written in the third person.
>
> Topic "Firewall unused space".  "from meeting to meeting"  (of what
> group??)  (It is clear to me that this point is talking about an IETF
> meeting, but the specific text here needs to be either expanded (to
> explain the context) or generalized.)
>
> Topic "NAT"  Again, this topic is specific to IETF meetings, without
> stating so.  The solution is applicable to much more than IETF meetings...
>
> Topic "Stateful firewalls"  As above, this text is IETF-meeting specific.
>
> Section 8, para 3, line 6.  "amount" -> "number"
>
>
> NOTE on use of "which" and "that".  "that" is used when the phrase
> following it is _required_ if we are going to be able to completely
> identify what is being talked about, while "which" is used to introduce
> supplementary information.  Some examples:
>
> 1) If there are three houses on the street, and only one of them is at
> the corner, then you say:
> "The house that is on the corner needs to be painted."
> 2) If there are three houses on the street, and only one of them is
> yellow, then you say:
> "The yellow house, which needs to be painted, is for sale."
>
> In the first case, the observer cannot identify the exact house until
> its position is given.  In the second case, the house is completely
> identified by its colour, and the information about the need to be
> painted is supplementary information.  This information is set off with
> commas, and introduced with "which".
>
>
> Bill Atwood
>
>
> On 2019-06-12 12:31 p.m., Warren Kumari wrote:
>> Dear MBONED,
>>
>> Pretty please, can you review and comment on the WGLC for
>> draft-ietf-mboned-ieee802-mcast-problems and
>> draft-ietf-mboned-driad-amt-discovery ?
>>
>> See the thread labeled: "[MBONED] WGLCs for
>> draft-ietf-mboned-ieee802-mcast-problems and
>> draft-ietf-mboned-driad-amt-discovery"
>>
>> The initial WGLC was extended until June 13th to get additional
>> feedback - "both docs have enjoyed tremendous support from folks in
>> the meetings/list in the past and there has been no particularly
>> controversies  noted in either doc."
>>
>> It will be very discouraging if we cannot get additional comments.
>>
>> W
>>

---

From: William Atwood <[email-masked]>
Date: Tue, 9 Jul 2019 23:00:44 -0400

Charlie,

Three additional nits:

In the paragraph just before Section 4, second sentence.  "are observed"
-> "is observed".  The verb has to agree with "number", which is a
singular form.

Section 4.5.4, para 3, line 1. "methods makes" -> "methods make"  (Verb
agreement)

Section 5.1, bullet "Firewall unused space", line 2. "from IETF meeting"
-> "from one IETF meeting"

Otherwise, it looks good to go.

  Bill

On 2019-07-08 12:17 p.m., Charlie Perkins wrote:
> Hello again Bill,
> 
> Here's a diff file showing the changes.  If I got something wrong from
> your remarks, please don't hesitate to let me know.
> 
> Regards,
> Charlie P.
> 
> 
> On 7/8/2019 9:09 AM, Charlie Perkins wrote:
>> Hello Bill,
>>
>> while still retaining mention of IETF as the meeting organization
>> where that made sense.
>>
>> I also followed your suggestion to include DRIAD as a third option. 
>> The working group had previously discussed including DRIAD and there
>> was support for doing that.  So, I don't think this will be very
>> controversial.
>>
>> Regards,
>> Charlie P.
>>
>>

-- 
Dr. J.W. Atwood, Eng.             tel:   +1 (514) 848-2424 x3046
Distinguished Professor Emeritus  fax:   +1 (514) 848-2830
Department of Computer Science
   and Software Engineering
Concordia University EV 3.185     email:[email-masked]
1455 de Maisonneuve Blvd. West    http://users.encs.concordia.ca/~bill
Montreal, Quebec Canada H3G 1M8

---

From: Charlie Perkins <[email-masked]>
Date: Fri, 26 Jul 2019 11:03:45 -0700

Hello Bill,

Thanks for your further review comments.  I reworded text to take care 
of your first two observations, and followed your suggestion for the third.

Regards,
Charlie P.